
Redmine - Feature #36825

Increase email address length limit from 60 to 254

2022-03-22 15:14 - Brice Beaumesnil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

Hello,

In REDMINE, mail length is limited to 60 characters (MAIL_LENGTH_LIMIT in app/models/user.rb)

To accept all mails, it could be updated to 254 characters.

(cf. https://blog.moonmail.io/what-is-the-maximum-length-of-a-valid-email-address-f712c6c4bc93)

Thanks.

Related issues:

Related to Redmine - Defect #2719: Increase username length limit from 30 to 60 Closed 2010-09-21

Associated revisions

Revision 21497 - 2022-03-23 16:26 - Go MAEDA

Increase email address length limit from 60 to 254 (#36825).

Contributed by Brice Beaumesnil.

History

#1 - 2022-03-23 00:30 - Go MAEDA

- Related to Defect #2719: Increase username length limit from 30 to 60 added

#2 - 2022-03-23 00:34 - Go MAEDA

- File 36825.diff added

- Target version set to 4.1.7

Setting the target version to 4.1.7.

#3 - 2022-03-23 00:41 - Go MAEDA

- Subject changed from Mail length limit too low to Increase email address length limit from 60 to 254

#4 - 2022-03-23 16:27 - Go MAEDA

- Tracker changed from Defect to Feature

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#5 - 2022-03-24 00:32 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.1.7 to 5.0.0
36825.diff 551 Bytes 2022-03-22 Go MAEDA
